(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[      8062,        173]
NotebookOptionsPosition[      8616,        168]
NotebookOutlinePosition[      9066,        188]
CellTagsIndexPosition[      9023,        185]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`initHare$$ = 10, $CellContext`initLynx$$ = 
    10, $CellContext`\[Alpha]$$ = 0.1, $CellContext`\[Beta]$$ = 
    0.02, $CellContext`\[Gamma]$$ = 0.4, $CellContext`\[Delta]$$ = 0.02, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold["Lotka-Volterra Parameters\n"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Alpha]$$], 0.1, "\[Alpha]"}, 0.0001, 1, 0.1}, {{
       Hold[$CellContext`\[Beta]$$], 0.02, "\[Beta]"}, 0.0001, 1, 0.1}, {{
       Hold[$CellContext`\[Delta]$$], 0.02, "\[Delta]"}, 0.0001, 1, 0.1}, {{
       Hold[$CellContext`\[Gamma]$$], 0.4, "\[Gamma]"}, 0.0001, 1, 0.1}, {
      Hold[
      "\n\[Alpha] = growth rate of prey\n\[Beta] = level of predation \n\
\[Delta] = growth of predator population due to predation \n\[Gamma] = \
mortality rate of predator\n"], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["Initial Popluation Size\n"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`initHare$$], 10, "Hare"}, 10, 500, 1}, {{
       Hold[$CellContext`initLynx$$], 10, "Lynx"}, 1, 500, 1}, {
      Hold[
       Button[
       "Reset all parameters", {$CellContext`\[Alpha]$$ = 
         0.1, $CellContext`\[Beta]$$ = 0.02, $CellContext`\[Delta]$$ = 
         0.02, $CellContext`\[Gamma]$$ = 0.4, $CellContext`initHare$$ = 
         10, $CellContext`initLynx$$ = 10}, Background -> 
        RGBColor[1, 0.5, 0]]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {576., {196., 170.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Alpha]$607$$ = 0, $CellContext`\[Beta]$612$$ = 
    0, $CellContext`\[Delta]$613$$ = 0, $CellContext`\[Gamma]$614$$ = 
    0, $CellContext`initHare$615$$ = 0, $CellContext`initLynx$616$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`initHare$$ = 10, $CellContext`initLynx$$ = 
        10, $CellContext`\[Alpha]$$ = 0.1, $CellContext`\[Beta]$$ = 
        0.02, $CellContext`\[Gamma]$$ = 0.4, $CellContext`\[Delta]$$ = 0.02}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$607$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$612$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$613$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$614$$, 0], 
        Hold[$CellContext`initHare$$, $CellContext`initHare$615$$, 0], 
        Hold[$CellContext`initLynx$$, $CellContext`initLynx$616$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`sol[
          Pattern[$CellContext`initPopLynx, 
           Blank[]], 
          Pattern[$CellContext`initPopHare, 
           Blank[]], 
          Pattern[$CellContext`alpha, 
           Blank[]], 
          Pattern[$CellContext`beta, 
           Blank[]], 
          Pattern[$CellContext`delta, 
           Blank[]], 
          Pattern[$CellContext`gamma, 
           Blank[]]] := 
        Module[{$CellContext`pars, $CellContext`ieqs, $CellContext`eq, \
$CellContext`\[Alpha], $CellContext`\[Beta], $CellContext`\[Delta], \
$CellContext`\[Gamma]}, $CellContext`pars = {$CellContext`\[Alpha] -> \
$CellContext`alpha, $CellContext`\[Beta] -> $CellContext`beta, $CellContext`\
\[Gamma] -> $CellContext`gamma, $CellContext`\[Delta] -> $CellContext`delta}; \
$CellContext`eq = {
            Derivative[
              1][$CellContext`pred][$CellContext`t] == \
$CellContext`pred[$CellContext`t] ($CellContext`\[Delta] \
$CellContext`prey[$CellContext`t] - $CellContext`\[Gamma]), 
             Derivative[
              1][$CellContext`prey][$CellContext`t] == \
$CellContext`prey[$CellContext`t] ($CellContext`\[Alpha] - $CellContext`\
\[Beta] $CellContext`pred[$CellContext`t])}; $CellContext`ieqs = \
{$CellContext`prey[0] == $CellContext`initPopHare, $CellContext`pred[
              0] == $CellContext`initPopLynx}; $CellContext`s = NDSolve[
             ReplaceRepeated[
              
              Join[$CellContext`eq, $CellContext`ieqs], $CellContext`pars], \
{$CellContext`prey, $CellContext`pred}, {$CellContext`t, 0, 200}]; Plot[{
             Evaluate[
              ReplaceAll[
               $CellContext`prey[$CellContext`t], $CellContext`s]], 
             Evaluate[
              ReplaceAll[
               $CellContext`pred[$CellContext`t], $CellContext`s]]}, \
{$CellContext`t, 0, 200}, PlotRange -> All, 
            AxesLabel -> {"Time [years]", "Population"}, PlotLegends -> 
            Placed[{"Lynx population", "Hare population"}, Below], PlotStyle -> {
              Directive[Red, Thick], 
              Directive[Blue, Thick]}, ImageSize -> 
            Large]]; $CellContext`sol[$CellContext`initLynx$$, \
$CellContext`initHare$$, $CellContext`\[Alpha]$$, $CellContext`\[Beta]$$, \
$CellContext`\[Delta]$$, $CellContext`\[Gamma]$$]), 
      "Specifications" :> {
       "Lotka-Volterra Parameters\n", {{$CellContext`\[Alpha]$$, 0.1, 
          "\[Alpha]"}, 0.0001, 1, 0.1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Beta]$$, 0.02, "\[Beta]"}, 0.0001, 1, 
         0.1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Delta]$$, 0.02, "\[Delta]"}, 0.0001, 1, 
         0.1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Gamma]$$, 0.4, "\[Gamma]"}, 0.0001, 1, 
         0.1, Appearance -> "Labeled"}, 
        "\n\[Alpha] = growth rate of prey\n\[Beta] = level of predation \n\
\[Delta] = growth of predator population due to predation \n\[Gamma] = \
mortality rate of predator\n", Delimiter, 
        "Initial Popluation Size\n", {{$CellContext`initHare$$, 10, "Hare"}, 
         10, 500, 1, Appearance -> 
         "Labeled"}, {{$CellContext`initLynx$$, 10, "Lynx"}, 1, 500, 1, 
         Appearance -> "Labeled"}, Delimiter, 
        Button[
        "Reset all parameters", {$CellContext`\[Alpha]$$ = 
          0.1, $CellContext`\[Beta]$$ = 0.02, $CellContext`\[Delta]$$ = 
          0.02, $CellContext`\[Gamma]$$ = 0.4, $CellContext`initHare$$ = 
          10, $CellContext`initLynx$$ = 10}, Background -> 
         RGBColor[1, 0.5, 0]]}, 
      "Options" :> {
       ContinuousAction -> False, 
        TrackedSymbols -> {$CellContext`\[Alpha]$$, $CellContext`\[Beta]$$, \
$CellContext`\[Delta]$$, $CellContext`\[Gamma]$$, $CellContext`initHare$$, \
$CellContext`initLynx$$}}, "DefaultOptions" :> {}],
     ImageSizeCache->{920., {216., 221.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
},
WindowSize->{1920, 1017},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 7149, 133, 454, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature gup2tCbo#r7oODKs1nnBah4F *)
